Summary: NIS/YP pwd Tools
URL: ftp://pc50.zrz.tu-berlin.de/pub/local
Name: yppasswd
Version: 0.9
Release: 2
Copyright: GNU
Group: Networking/Daemons
Source: ftp.lysator.liu.se:/pub/NYS/servers/yppasswd-0.9.tar.gz
Source1: yppasswd.init
Patch0: yppasswd-0.9-glibc.patch
Requires: portmap
Requires: ypserv
Prereq: /sbin/chkconfig

%changelog

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>

- updated for chkconfig
- doesn't start in any runlevels (by default)

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This program implements the password-changing part of the NIS/YP
networking standard. It provides fully functional NIS/YP password changing
server (daemon) and client.

%prep
%setup
%patch0 -p1

%build
# We have to make with NYSLIB="" in order to have
# yppasswd use the NYS support built into libc
# instead of trying to use -lnsl
make NYSLIB="" NYSDEF="" BINDIR=/usr/bin

%install
make BINDIR=/usr/bin install
install -m755 $RPM_SOURCE_DIR/yppasswd.init /etc/rc.d/init.d/yppasswd

%post
/sbin/chkconfig --add yppasswd

%postun
/sbin/chkconfig --del yppasswd
    
%files
%doc README
%config /etc/rc.d/init.d/yppasswd
/usr/bin/yppasswd
/usr/sbin/rpc.yppasswdd
/usr/bin/ypchfn
/usr/bin/ypchsh
/usr/lib/yp/pwupdate
/usr/man/man1/yppasswd.1
/usr/man/man1/ypchsh.1
/usr/man/man1/ypchfn.1
/usr/man/man8/yppasswdd.8



